Bug 99384 - databases/mysq51-client WITH_PROC_SCOPE_PTH=yes broken post-patch
databases/mysq51-client WITH_PROC_SCOPE_PTH=yes broken post-patch
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Alex Dupre
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-23 18:10 UTC by mirya
Modified: 2006-09-10 17:02 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mirya 2006-06-23 18:10:14 UTC
cd /usr/ports/databases/mysq51-client
make WITH_PROC_SCOPE_PTH=yes

..
Ups, patching nonexistent file

Fix: Seems like it was a hack for a hardcoded constant. Can't find aprop. piece of code anymore



.else
 # MySQL-Scripts part--N4Nd4Bm7Dqctx7TxzhNco3T6UTSrfLpIZlN4PUV6WAYmJK4I
Content-Type: text/plain; name="file.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.diff"

--- databases/mysql51-server/Makefile       Fri Jun 23 20:04:32 2006
+++ databases/mysql51-server/Makefile   Fri Jun 23 20:04:36 2006
@@ -184,9 +184,6 @@
        @${REINPLACE_CMD} -e "s|man1_MANS =|man1_MANS = ${MAN1}|g" ${WRKSRC}/man/Makefile.in
        @${REINPLACE_CMD} -e "s|install-exec-am: install-binPROGRAMS|install-exec-am:|g" ${WRKSRC}/extra/Makefile.in
        @${REINPLACE_CMD} -e "s|%%PREFIX%%|${PREFIX}|g" ${WRKSRC}/mysys/default.c
-.if defined(WITH_PROC_SCOPE_PTH)
-       @${REINPLACE_CMD} -e "s|PTHREAD_SCOPE_SYSTEM|PTHREAD_SCOPE_PROCESS|g" ${WRKSRC}/tools/mysqlmanager.c
-.endif
How-To-Repeat: two lines above
Comment 1 Edwin Groothuis freebsd_committer 2006-06-26 14:15:27 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer
Comment 2 Alex Dupre freebsd_committer 2006-09-10 17:02:12 UTC
State Changed
From-To: open->closed

Committed, thanks!